Skip to main content
POST
/
v1
/
seller
/
offer
Create Offer
curl --request POST \
  --url https://scx-sbx.api.jtl-software.com/v1/seller/offer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "offerList": [
    {
      "salesChannelOfferList": [
        {
          "channel": "MYBESTDEALCOMDE",
          "sellerId": "4711",
          "offerId": 5437233,
          "priceList": [
            {
              "id": "B2C",
              "quantityPriceList": [
                {
                  "amount": "14.65",
                  "currency": "EUR",
                  "quantity": "1.0"
                }
              ]
            }
          ],
          "parentOfferId": 3434223,
          "channelOfferId": "XCD233554",
          "channelCategoryId": "4355111",
          "quantity": "1.0",
          "taxPercent": "19.00",
          "title": "One of the best Beer in the World.",
          "subTitle": "Maybe the best!",
          "description": "This Offer description is for this specific SalesChannel\n",
          "mainPicture": "48dd485e-bab9-48fa-8c03-3736fca1323d.png",
          "pictureList": [
            "b61525f4-8114-4cc2-bccd-9c627ebdc077.png"
          ],
          "channelAttributeList": [
            {
              "attributeId": "1332",
              "value": "MyBeerBrand",
              "group": "1"
            }
          ],
          "variationList": [
            {
              "offerId": 5437233,
              "sku": "BEER-001",
              "variationDimensionList": [
                {
                  "attributeId": "1332",
                  "value": "MyBeerBrand",
                  "group": "1"
                }
              ],
              "quantity": "1.0",
              "priceList": [
                {
                  "id": "B2C",
                  "quantityPriceList": [
                    {
                      "amount": "14.65",
                      "currency": "EUR",
                      "quantity": "1.0"
                    }
                  ]
                }
              ],
              "gtin": "4003227021106",
              "taxPercent": "19.00",
              "pictureList": [
                "b61525f4-8114-4cc2-bccd-9c627ebdc077.png"
              ],
              "title": "One of the best Beer Variation in the Variation Listing World.",
              "subTitle": "Maybe the best Variation List SubTitle!",
              "description": "This Offer Variation description is for this specific SalesChannel\n",
              "channelAttributeList": [
                {
                  "attributeId": "1332",
                  "value": "MyBeerBrand",
                  "group": "1"
                }
              ]
            }
          ]
        }
      ],
      "product": {
        "sku": "BEER-001",
        "title": "Best Beer of the World",
        "subTitle": "Probably the best!",
        "description": "So lovely and tasty! Properly the best beer you will ever have.\nYou will never stop drinking.\n",
        "gtin": "4003227021106",
        "mpn": null,
        "isbn": null,
        "brand": null,
        "productAttributeList": [
          {
            "name": "Color",
            "value": "Red"
          }
        ]
      }
    }
  ]
}
'
{
  "errorList": [
    {
      "code": "VAL100",
      "message": "Required field sellerId not found",
      "severity": "error",
      "hint": "Check the field `sellerId` — it must be a non-empty string."
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL Customer Center. Usage format: Bearer <JWT>.

Body

application/json

List of product offers (new or updated) to be published on the marketplace.

Batch of product offers (product master data plus per-channel offer data) to be created or updated.

offerList
object[]
required
Required array length: 1 - 100 elements

Response

Created